Главная
   Документация
      Ansible
      Asterisk
      CentOS
      Debian
      Docker
      FreeBSD
      GitLab
      MySQL
      openHAB
      PostgreSQL
      Raspberry Pi
      Ubuntu
      WWW
      zoneminder
      Разное




Главная Документация Ubuntu › OTRS 6 - устанавливаем на Ubuntu 18.10

Ставим OTRS 6 Free на Ubuntu 18.10

Автор:

Статья написана 2019-01-08 21:06:03
Последние правки 2019-07-08 12:08:44

Устанавливаем бесплатную версию OTRS 6 на Ubuntu 18.10. В качестве сервера БД используем Postgresql.

  • Исходные данные
    # cat /etc/os-release
    ...
    Ubuntu 18.10 LTS
    ...
    


  • Apache, Postgresql, perl.
    Для работы OTRS необходимо, чтобы были установлены Apache и Postgresql:
    # apt-get update && apt-get upgrade
    # apt-get install apache2 libapache2-mod-perl2 postgresql
    
    На всякий случай, запускаем:
    # systemctl start apache2
    # systemctl start postgresql
    
    Устанавливаем perl-библиотеки:
    # apt-get install libdbd-pg-perl libnet-dns-perl libnet-ldap-perl
    # apt-get install libio-socket-ssl-perl libpdf-api2-perl libsoap-lite-perl
    # apt-get install libgd-text-perl libgd-graph-perl libapache-dbi-perl
    # apt-get install libarchive-zip-perl libcrypt-eksblowfish-perl
    # apt-get install libcrypt-ssleay-perl libencode-hanextra-perl libjson-xs-perl
    # apt-get install libmail-imapclient-perl libtemplate-perl libtemplate-perl
    # apt-get install libtext-csv-xs-perl libxml-libxml-perl libxml-libxslt-perl
    # apt-get install libpdf-api2-simple-perl libyaml-libyaml-perl
    
    Активируем mod-perl для Apache:
    # a2enmod perl
    # systemctl restart apache2
    
    Добавляем пользователя для работы otrs:
    # useradd -d /opt/otrs -c 'OTRS user' otrs
    
    Добавляем пользователя otrs в группу www-data:
    # usermod -a -G www-data otrs
    


  • Готовим postgresql базу
    Создаем роль и базу:
    # sudo -u postgres psql
    
    create user otrs password 'otrspass' nosuperuser;
    create database otrs owner otrs;
    \q
    
    Даем доступ, добавляем строки в файл /etc/postgresql/10/main/pg_hba.conf:
    local   otrs     otrs                      password
    host    otrs     otrs     127.0.0.1/32     password
    
    Перезагружаем postgresql:
    # systemctl restart postgresql
    


  • Ставим OTRS
    Качаем последнюю версию OTRS 6. Для этого смотрим список того, что есть здесь. На момент написания этой статьи, последняя версия - 6.0.15.
    # cd /opt
    # wget http://ftp.otrs.org/pub/otrs/otrs-6.0.15.tar.gz
    
    Распаковываем:
    # tar -xzvf otrs-6.0.15.tar.gz
    # mv otrs-6.0.15 otrs
    # chown -R otrs:otrs otrs
    


  • Настраиваем и запускаем OTRS
    Проверка perl-библиотек:
    # /opt/otrs/bin/otrs.CheckModules.pl
      o Apache::DBI......................ok (v1.12)                                                                                                                                                                                                                                
      o Apache2::Reload..................ok (v0.13)                                                                                                                                                                                                                                
      o Archive::Tar.....................ok (v2.24)                                                                                                                                                                                                                                
      o Archive::Zip.....................ok (v1.60)                                                                                                                                                                                                                                
      o Crypt::Eksblowfish::Bcrypt.......ok (v0.009)                                                                                                                                                                                                                               
      o Crypt::SSLeay....................ok (v0.73_04)                                                                                                                                                                                                                             
      o Date::Format.....................ok (v2.24)                                                                                                                                                                                                                                
      o DateTime.........................ok (v1.46)                                                                                                                                                                                                                                
      o DBI..............................ok (v1.640)                                                                                                                                                                                                                               
      o DBD::mysql.......................Not installed! Use: 'apt-get install -y libdbd-mysql-perl' (optional - Required to connect to a MySQL database.)                                                                                                                          
      o DBD::ODBC........................Not installed! Use: 'apt-get install -y libdbd-odbc-perl' (optional - Required to connect to a MS-SQL database.)
      o DBD::Oracle......................Not installed! (optional - Required to connect to a Oracle database.)
      o DBD::Pg..........................ok (v3.7.0)
      o Digest::SHA......................ok (v5.96)
      o Encode::HanExtra.................ok (v0.23)
      o IO::Socket::SSL..................ok (v2.056)
      o JSON::XS.........................ok (v3.04)
      o List::Util::XS...................ok (v1.46_02)
      o LWP::UserAgent...................ok (v6.26)
      o Mail::IMAPClient.................ok (v3.39)
        o IO::Socket::SSL................ok (v2.056)
        o Authen::SASL...................ok (v2.16)
        o Authen::NTLM...................Not installed! Use: 'apt-get install -y libauthen-ntlm-perl' (optional - Required for NTLM authentication mechanism in IMAP connections.)
      o ModPerl::Util....................ok (v2.000010)
      o Net::DNS.........................ok (v1.10)
      o Net::LDAP........................ok (v0.65)
      o Template.........................ok (v2.27)
      o Template::Stash::XS..............ok (undef)
      o Text::CSV_XS.....................ok (v1.34)
      o Time::HiRes......................ok (v1.9741)
      o XML::LibXML......................ok (v2.0128)
      o XML::LibXSLT.....................ok (v1.95)
      o XML::Parser......................ok (v2.44)
      o YAML::XS.........................ok (v0.69)
    
    При необходимости, доустановите perl-библиотеки.
    DBD::mysql, DBD::ODBC и DBD::Oracle нам не нужны, но так как мы используем postgresql, обязателен DBD::Pg.

    Настраиваем конфигурационные файлы:
    # cd /opt/otrs/
    # cp Kernel/Config.pm.dist Kernel/Config.pm
    
    Правим файл /opt/otrs/Kernel/Config.pm:
        $Self->{DatabaseHost} = '127.0.0.1';
        $Self->{Database} = 'otrs';
        $Self->{DatabaseUser} = 'otrs';
        $Self->{DatabasePw} = 'otrspass';
    
    Используем postgresql:
        # if you want to use a TCP/IP connection
        $Self->{DatabaseDSN} = "DBI:Pg:dbname=$Self->{Database};host=$Self->{DatabaseHost};";
    
    Остальные $Self->{DatabaseDSN} надо закомментировать.

    Правим файл /opt/otrs/scripts/apache2-perl-startup.pl. Раскомментируйте как это показано ниже:
    # enable this if you use postgresql
    use DBD::Pg ();
    use Kernel::System::DB::postgresql;
    
    Проверяем файлы на отсутствие синтаксических ошибок:
    # perl -cw /opt/otrs/bin/cgi-bin/index.pl
    # perl -cw /opt/otrs/bin/cgi-bin/customer.pl
    # perl -cw /opt/otrs/bin/otrs.Console.pl
    
    Заполняем базу данных:
    # sudo -u postgres /bin/bash
    ~$ psql -U otrs -W -f /opt/otrs/scripts/database/otrs-schema.postgresql.sql otrs
    ~$ psql -U otrs -W -f /opt/otrs/scripts/database/otrs-initial_insert.postgresql.sql otrs
    ~$ psql -U otrs -W -f /opt/otrs/scripts/database/otrs-schema-post.postgresql.sql otrs
    ~$ exit
    
    Задаем права доступа к файлам как у apache:
    # /opt/otrs/bin/otrs.SetPermissions.pl --otrs-user=www-data --web-group=www-data
    
    Линкуем конфигурацию в apache и перезапускаем:
    # ln -s /opt/otrs/scripts/apache2-httpd.include.conf /etc/apache2/sites-available/otrs.conf
    # a2ensite otrs
    # systemctl restart apache2
    


  • Заходим
    http://SERVER_IP/otrs/
    Логин по умолчанию: root@localhost
    Пароль по умолчанию: root

Связанные странички:
php 7.2 - pecl install mcrypt-1.0.1 (Ubuntu)
zoneminder - устанавливаем на Ubuntu
Ubuntu, сервисы
php 7.1 или 7.2 - ставим на Ubuntu 16.04
wkhtmltopdf 0.12.4 (with patched qt) - ставим на Ubuntu
Устанавливаем python на Ubuntu при помощи ansible
Kubuntu - устанавливаем с флешки в режиме UEFI.
Ubuntu, пакеты (+Debian)
Debian, Ubuntu apt - ошибка KEYEXPIRED
Ошибка - mc has no installation candidate (Ubuntu 1 8.04)